package main

import (
	"log"
)

func main() {

	// Create a channel to push key-presses through
	keypresses := make(chan int)

	screen, style, err := initilize()
	if err != nil {
		log.Fatalln("Initlization error: ", err)
	}

	go game_director(screen, style, keypresses)
	keyboardProcessor(screen, keypresses)

	quit(screen)

}
